﻿@{
    ViewBag.NomePagina = "Cesta de Produtos";
}

@Html.Partial("~/Views/Paginas/CadastroCestaServico/Partials/_IndexStyle.cshtml")

<div class="titulo-pagina">
    <span>
        TGV Vendas  &nbsp;       
        <i class="fa fa-arrow-right"></i>
        &nbsp; Cesta de Produtos &nbsp;
        <i class="fa fa-arrow-right"></i>
        &nbsp; Cadastro Produto
    </span>
</div>

<div id="dvAtvDsvContent" class="custom-drop" style="display: none;">
    <button class="btn btn-outline-dark custom-drop-item" id="btnAtivar">
        <i class="fa fa-check">&nbsp;</i> Ativar
    </button>
    <button class="btn btn-outline-dark custom-drop-item" id="btnDesativar">
        <i class="fa fa-times">&nbsp;</i> Desativar
    </button>
</div>

<div id="divPesquisa">
    <div class="campos-holder">
        <i class="material-icons">search</i>
        <i class="material-icons">more_vert</i>
        @Html.Partial("~/Views/Partials/Select2ServicosCestaCodigos.cshtml", new Select2ServicosCestaViewModel() { idControleSelect2 = "selCvc", idControleInput = "TxtCvc", tipoPesquisa = true, ativo = false })
        <i class="material-icons">more_vert</i>
        <button class="btn btn-success" id="btnPesquisarTela" style="width: 10%;">
            Pesquisar
        </button>
    </div>

    <div class="dataTables_consulta">
        <div id="grdCadastroCestaContainer"></div>
    </div>
</div>

<!-- Cadastro -->
<div id="divCadastro" style="display: none;">
    <form action="#" id="frmCadastro" novalidate="novalidate">
        <div class="tgv-cabecalho-container">
            <div class="col-md-6 titulo-tela">
                <strong class="strong-cabecalho-tgv">Cadastro Cesta Produto</strong>
            </div>
            <div class="col-md-6 tgv-crud-log-text divShowHide">
                <strong class="strong-cabecalho-codigo-tgv">Código:</strong> <span><input type="text" id="txtCodPrdCes" class="input-span-title" value="" /></span>
                <span class="tgv-mer-log">
                    <i class="fa fa-file-text-o" aria-hidden="true" id="btnLogInfo"></i>
                </span>
                <div class="tgv-mer-log-container" id="logInfoContainer">
                    <div class="paddingbottom">
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title-border">Registro</strong>
                            </div>
                        </div>
                    </div>
                    <div class="paddingbottom">
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Alteração:</strong> <span><input type="text" id="txtDatFncAltLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Por:</strong> <span><input type="text" id="txtFncAltLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                    </div>
                    <div class="paddingbottom">
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Desativação:</strong> <span><input type="text" id="txtDatFncDstLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                        <div class="row rowlog">
                            <div class="col-lg-12">
                                <strong class="log-title">Por:</strong> <span><input type="text" id="txtFncDstLog" class="input-span-log" disabled value="" /></span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="tgv-crud-container tgv-mat-closer">
            <div class="row">
                <div class="col-lg-4">
                    <div class="form-group">
                        <label for="input-text-1">
                            <strong class="strong-min-tgv">Descrição:</strong>
                        </label>
                        <div class="mdl-textfield mdl-js-textfield">
                            <input class="mdl-textfield__input limparTooltipKeyDown" id="txtDes" name="txtDes" type="text" maxlength="70">
                            <label class="mdl-textfield__label" for="txtDes"></label>
                        </div>
                    </div>
                </div>
                <div class="col-lg-2">
                    <label for="input-text-1">
                        <strong class="strong-min-tgv">Tipo</strong>
                    </label>
                    <div class="tgv-select-material">
                        <select id="ddlTipo" class="form-control limparTooltipChange">
                            <option value="0" selected="selected">Selecione um tipo...</option>
                            <option value="1">Numero</option>
                            <option value="2">Texto</option>
                        </select>
                    </div>
                </div>
                <div class="col-lg-2">
                    <div class="form-group">
                        <label for="input-text-1">
                            <strong class="strong-min-tgv">Sequência:</strong>
                        </label>
                        <div class="mdl-textfield mdl-js-textfield">
                            <input class="mdl-textfield__input limparTooltipKeyDown" id="txtSeq" name="txtSeq" type="number" maxlength="8">
                            <label class="mdl-textfield__label" for="txtSeq"></label>
                        </div>
                    </div>
                </div>
                <div class="col-lg-1" style="padding-top:40px">
                    <label class="mdl-checkbox mdl-js-checkbox mdl-js-ripple-effect" for="checkImportar">
                        <input type="checkbox" id="checkImportar" name="checkImportar" class="mdl-checkbox__input" value="1">
                        <span class="mdl-checkbox__label" style="font-size:10px;">Importar?</span>
                    </label>
                </div>
            </div>
        </div>

        <div class="row tgv-button-toolbar">
            <span>
                <button id="btnInserirCadastro" type="button" class="btn btn-success">
                    <i class="fa fa-floppy-o">&nbsp;</i>
                    Salvar
                </button>
                <button id="btnEditarCadastro" type="button" class="btn btn-success">
                    <i class="fa fa-pencil-square-o">&nbsp;</i>
                    Salvar
                </button>
                <button id="btnFecharCadastro" type="button" class="btn btn-danger">
                    <i class="fa fa-arrow-left">&nbsp;</i>
                    Voltar
                </button>
            </span>
        </div>

    </form>
</div>

@Html.Partial("~/Views/Paginas/CadastroCestaServico/Partials/_IndexScript.cshtml")
